## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate asyncgit

Name:           rust-%{crate}
Version:        0.20.1
Release:        %autorelease
Summary:        Allow using git2 in a asynchronous context

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/asyncgit
Source:         %{crates_source}
# Initial patched metadata
# * No vendored
Patch0:         asyncgit-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Allow using git2 in a asynchronous context.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE.md
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+trace-libgit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trace-libgit-devel %{_description}

This package contains library source intended for building other packages which
use the "trace-libgit" feature of the "%{crate}" crate.

%files       -n %{name}+trace-libgit-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
sed -i -e 's|/usr/bin/env python|/usr/bin/python3|' src/sync/hooks.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo '/usr/bin/git'
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Some tests require an internet connection
%cargo_test -- -- --skip sync::remotes::tests::test_smoke --skip sync::remotes::tests::test_default_remote --skip sync::remotes::tests::test_default_remote_out_of_order
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Igor Raits <igor.raits@gmail.com> 0.20.1-1
- Update to 0.20.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.16.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.16.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.16.3-1
- Update to 0.16.3

* Sun Mar 21 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.13.0-2
- Skip more tests that require internet

* Sun Mar 21 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.13.0-1
- Update to 0.13.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-4
- Skip some test

* Sun Dec 27 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-3
- fixup! Fixup build

* Sun Dec 27 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-2
- Fixup build

* Sun Dec 27 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.11.0-1
- Update to 0.11.0

* Sat Aug 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.10.0-1
- Update to 0.10.0

* Tue Aug 18 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.9.0-1
- Update to 0.9.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> 0.8.1-1
- Update to 0.8.1

* Mon Jul 06 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.8.0-1
- Update to 0.8.0

* Mon Jun 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.7.0-1
- Update to 0.7.0

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> 0.6.0-1
- Update to 0.6.0

* Mon Jun 01 2020 Josh Stone <jistone@redhat.com> 0.5.0-1
- Update to 0.5.0

* Thu May 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.4.0-2
- BR: git for tests

* Thu May 28 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 0.4.0-1
- Initial import
